Skip to main content
POST
/
v1
/
guarantors
/
{id}
/
detach
Detach a guarantor
curl --request POST \
  --url https://api.yorlet.com/v1/guarantors/{id}/detach \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "remove_application_requirement": true
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "guarantor",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "application": "<string>",
  "application_status": "<string>",
  "company": {
    "name": "<string>",
    "number": "<string>"
  },
  "contract": "<string>",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "status": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
remove_application_requirement
boolean

Whether to remove the application requirement when detaching the guarantor.

Response

200 - application/json

Returns the guarantor object if the detach succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
guarantor
address
object
required

The guarantor address.

application
required

The application associated with the guarantor.

application_status
required

The applicant status associated with the guarantor.

business_type
enum<string>
required

The guarantor business type.

Available options:
individual,
company
company
object
required

Company details when business type is company.

contract
required

The guarantor contract identifier.

email
string | null
required

The guarantor email.

first_name
string | null
required

The guarantor first name.

last_name
string | null
required

The guarantor last name.

name
string | null
required

The guarantor full name.

phone
string | null
required

The guarantor phone.

status
string
required

The guarantor status.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.